#!/bin/sh
#
# weatherng.sh
#
# source: vdr-plugin weatherng
#
# To use this examples of urls , you must have the permission of owner to download and
# use them. Otherwise you must change the URLs. See README or README.DE.

# Wget Options.
WGETOPT="-t 4 -T 20"

case $LANG in
	de_*)
	   MESG='Download abgeschlossen und Radarmaps aktualisiert'
	   IMGS=(
		http://www.dwd.de/bvbw/generator/Sites/DWDWWW/Content/Oeffentlichkeit/WV/WV11/Wetterkarten/Wetter__Deutschland__teaser__Bild,property=default.jpg
		http://www.zdf.de/CMO/frontend/subsystem_we/WeShowPicture/0,6008,337,00.jpg
		http://www.zdf.de/CMO/frontend/subsystem_we/WeShowPicture/0,6008,261,00.jpg
		http://www.zdf.de/CMO/frontend/subsystem_we/WeShowPicture/0,6008,258,00.jpg
		http://www.zdf.de/CMO/frontend/subsystem_we/WeShowPicture/0,6008,346,00.jpg
		http://www.zdf.de/CMO/frontend/subsystem_we/WeShowPicture/0,6008,346,00.jpg
		)
	;;
	fr_*)
	   MESG='Týlýchargement des donnýes Mýtýo OK'
	   IMGS=(
		""
		""
		""
		""
		""
		""
		)
	;;
	fi_*)
	   MESG='Sýýkuvat pýivitetty'
	   IMGS=(
		""
		""
		""
		""
		""
		""
		)
	;;
	*)
	   MESG='Weather pictures updated'
	   IMGS=(
		""
		""
		""
		""
		""
		""
		)
	;;
esac

for i in ${!IMGS[*]} ; do
    wget $WGETOPT "${IMGS[$i]}" -O "${0%/*}/pic${i}"
done

c=0
for i in ${1:-x} ${2:-x} ${3:-x} ; do
    c=$((c+1))
    test $i = x && continue
    case $i in
	 *\|*) wget $WGETOPT "http://forecastfox.accuweather.com/adcbin/forecastfox/weather_data.asp?location=$i&metric=1&partner=forecastfox" \
		-O "${0%/*}/data$c.xml"
	      xsltproc \
		-o "${0%/*}/"{data$c.xml,accu.xslt,data$c.xml}
	;;
	 *) wget $WGETOPT "http://xoap.weather.com/weather/local/$i?cc=*&unit=m&dayf=10" \
		-O "${0%/*}/data$c.xml"
	;;
    esac
done

echo $MESG
